<?php
/**
* Additional Woocommerce Settings.
*
* @package Agriculture Farm Lite
*/

$agriculture_farm_lite_default = agriculture_farm_lite_get_default_theme_options();

// Additional Woocommerce Section.
$wp_customize->add_section( 'agriculture_farm_lite_additional_woocommerce_options',
	array(
	'title'      => esc_html__( 'Additional Woocommerce Options', 'agriculture-farm-lite' ),
	'priority'   => 210,
	'capability' => 'edit_theme_options',
	'panel'      => 'agriculture_farm_lite_theme_option_panel',
	)
);

	$wp_customize->add_setting('agriculture_farm_lite_per_columns',
		array(
		'default'           => $agriculture_farm_lite_default['agriculture_farm_lite_per_columns'],
		'capability'        => 'edit_theme_options',
		'sanitize_callback' => 'agriculture_farm_lite_sanitize_number_range',
		)
	);
	$wp_customize->add_control('agriculture_farm_lite_per_columns',
		array(
		'label'       => esc_html__('Products Per Column', 'agriculture-farm-lite'),
		'section'     => 'agriculture_farm_lite_additional_woocommerce_options',
		'type'        => 'number',
		'input_attrs' => array(
		'min'   => 1,
		'max'   => 6,
		'step'   => 1,
		),
		)
	);

	$wp_customize->add_setting('agriculture_farm_lite_product_per_page',
		array(
		'default'           => $agriculture_farm_lite_default['agriculture_farm_lite_product_per_page'],
		'capability'        => 'edit_theme_options',
		'sanitize_callback' => 'agriculture_farm_lite_sanitize_number_range',
		)
	);
	$wp_customize->add_control('agriculture_farm_lite_product_per_page',
		array(
		'label'       => esc_html__('Products Per Page', 'agriculture-farm-lite'),
		'section'     => 'agriculture_farm_lite_additional_woocommerce_options',
		'type'        => 'number',
		'input_attrs' => array(
		'min'   => 1,
		'max'   => 100,
		'step'   => 1,
		),
		)
	);

	$wp_customize->add_setting('agriculture_farm_lite_show_hide_related_product',
    array(
        'default' => $agriculture_farm_lite_default['agriculture_farm_lite_show_hide_related_product'],
        'capability' => 'edit_theme_options',
        'sanitize_callback' => 'agriculture_farm_lite_sanitize_checkbox',
    )
	);
	$wp_customize->add_control('agriculture_farm_lite_show_hide_related_product',
	    array(
	        'label' => esc_html__('Enable Related Products', 'agriculture-farm-lite'),
	        'section' => 'agriculture_farm_lite_additional_woocommerce_options',
	        'type' => 'checkbox',
	    )
	);

	$wp_customize->add_setting('agriculture_farm_lite_custom_related_products_number',
		array(
		'default'           => $agriculture_farm_lite_default['agriculture_farm_lite_custom_related_products_number'],
		'capability'        => 'edit_theme_options',
		'sanitize_callback' => 'agriculture_farm_lite_sanitize_number_range',
		)
	);
	$wp_customize->add_control('agriculture_farm_lite_custom_related_products_number',
		array(
		'label'       => esc_html__('Related Products Per Page', 'agriculture-farm-lite'),
		'section'     => 'agriculture_farm_lite_additional_woocommerce_options',
		'type'        => 'number',
		'input_attrs' => array(
		'min'   => 1,
		'max'   => 10,
		'step'   => 1,
		),
		)
	);

	$wp_customize->add_setting('agriculture_farm_lite_custom_related_products_number_per_row',
		array(
		'default'           => $agriculture_farm_lite_default['agriculture_farm_lite_custom_related_products_number_per_row'],
		'capability'        => 'edit_theme_options',
		'sanitize_callback' => 'agriculture_farm_lite_sanitize_number_range',
		)
	);
	$wp_customize->add_control('agriculture_farm_lite_custom_related_products_number_per_row',
		array(
		'label'       => esc_html__('Related Products Per Row', 'agriculture-farm-lite'),
		'section'     => 'agriculture_farm_lite_additional_woocommerce_options',
		'type'        => 'number',
		'input_attrs' => array(
		'min'   => 1,
		'max'   => 5,
		'step'   => 1,
		),
		)
	);